OpenShot Audio Library | OpenShotAudio: juce::Span< Value, Extent > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.6.0

Loading...
Searching...
No Matches
juce::Span< Value, Extent > Class Template Reference

`#include <juce_Span.h>`

## Public Member Functions
template<typename It>
constexpr | Span (It it, size_t end)
template<typename Range, std::enable_if_t< detail::hasDataAndSize< Range >, int > = 0>
constexpr | Span (Range &&range)
constexpr | Span (const Span &)=default
constexpr Span & | operator= (const Span &)=default
constexpr | Span (Span &&) noexcept=default
constexpr Span & | operator= (Span &&) noexcept=default
constexpr Value * | begin () const
constexpr Value * | end () const
constexpr auto & | front () const
constexpr auto & | back () const
constexpr auto & | operator[] (size_t index) const
constexpr Value * | data () const
constexpr bool | empty () const

## Static Public Attributes
static constexpr auto | extent = Extent

## Detailed Description

template<typename Value, size_t Extent = dynamicExtent>
class juce::Span< Value, Extent >

A non-owning view over contiguous objects stored in an Array or vector or other similar container.

This is a bit like std::span from C++20, but with a more limited interface.

Definition at line 95 of file juce_Span.h.

## Constructor & Destructor Documentation

## ◆ Span() [1/3]

template<typename Value, size_t Extent = dynamicExtent>
template<size_t e = extent, std::enable_if_t< e==0||e==dynamicExtent, int > = 0>

juce::Span< Value, Extent >::Span | ( |  | ) |
| inlineconstexpr

Definition at line 103 of file juce_Span.h.

## ◆ Span() [2/3]

template<typename Value, size_t Extent = dynamicExtent>
template<typename It>

juce::Span< Value, Extent >::Span | ( | It | it,
|  | size_t | end )
| inlineconstexpr

Definition at line 106 of file juce_Span.h.

## ◆ Span() [3/3]

template<typename Value, size_t Extent = dynamicExtent>
template<typename Range, std::enable_if_t< detail::hasDataAndSize< Range >, int > = 0>

juce::Span< Value, Extent >::Span | ( | Range && | range | ) |
| inlineconstexpr

Definition at line 110 of file juce_Span.h.

## Member Function Documentation

## ◆ back()

template<typename Value, size_t Extent = dynamicExtent>

auto & juce::Span< Value, Extent >::back | ( |  | ) | const
| inlineconstexpr

Definition at line 127 of file juce_Span.h.

## ◆ begin()

template<typename Value, size_t Extent = dynamicExtent>

Value * juce::Span< Value, Extent >::begin | ( |  | ) | const
| inlineconstexpr

Definition at line 123 of file juce_Span.h.

## ◆ data()

template<typename Value, size_t Extent = dynamicExtent>

Value * juce::Span< Value, Extent >::data | ( |  | ) | const
| inlineconstexpr

Definition at line 130 of file juce_Span.h.

## ◆ empty()

template<typename Value, size_t Extent = dynamicExtent>

bool juce::Span< Value, Extent >::empty | ( |  | ) | const
| inlineconstexpr

Definition at line 132 of file juce_Span.h.

## ◆ end()

template<typename Value, size_t Extent = dynamicExtent>

Value * juce::Span< Value, Extent >::end | ( |  | ) | const
| inlineconstexpr

Definition at line 124 of file juce_Span.h.

## ◆ front()

template<typename Value, size_t Extent = dynamicExtent>

auto & juce::Span< Value, Extent >::front | ( |  | ) | const
| inlineconstexpr

Definition at line 126 of file juce_Span.h.

## ◆ operator[]()

template<typename Value, size_t Extent = dynamicExtent>

auto & juce::Span< Value, Extent >::operator[] | ( | size_t | index | ) | const
| inlineconstexpr

Definition at line 129 of file juce_Span.h.

## Member Data Documentation

## ◆ extent

template<typename Value, size_t Extent = dynamicExtent>

auto juce::Span< Value, Extent >::extent = Extent
| staticconstexpr

Definition at line 100 of file juce_Span.h.

The documentation for this class was generated from the following file:

- juce_Span.h